メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /v1/memory_stores 新しい Memory Store を作成します。

ヘッダー

ヘッダー必須
AuthorizationBearer $QODER_PATはい
Content-Typeapplication/jsonはい

リクエストボディ

フィールド必須説明
namestringはいストア名(同名許可)
descriptionstringいいえストアの説明

リクエスト例

curl -X POST "https://openapi.qoder.sh/api/v1/cloud/memory_stores" \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "my-store",
    "description": "プロジェクトメモストレージ"
  }'

レスポンス例

HTTP 201 Created 作成された MemoryStore オブジェクトを返します。
{
  "id": "memstore_019e3bb8d50674d9b082b73709c29c87",
  "type": "memory_store",
  "name": "my-store",
  "description": "プロジェクトメモストレージ",
  "status": "active",
  "entry_count": 0,
  "total_size": 0,
  "metadata": {},
  "created_at": "2026-05-18T15:33:49.449264Z",
  "updated_at": "2026-05-18T15:33:49.449264Z"
}

レスポンスフィールド

フィールド説明
idstring一意識別子、memstore_ プレフィックス
typestring固定値 "memory_store"
namestringストア名
descriptionstringストアの説明
statusstring状態:"active" / "archived" / "deleted"
entry_countint64メモリエントリ数
total_sizeint64総ストレージサイズ(バイト)
metadataobjectカスタムメタデータ
created_atstring作成時刻(ISO 8601)
updated_atstring最終更新時刻(ISO 8601)

エラーレスポンス

HTTPtype説明
401TOKEN_INVALID認証トークンが提供されていないまたは無効

注意事項

  • 同名 Memory Store の作成が許可され、競合しません
  • 新規作成 Store の初期状態は "active" です
  • entry_counttotal_size の初期値は 0 です